### Function

# Adw SidebarSectionCreateItemFunc

since: 1.9

#### Declaration

    AdwSidebarItem*
    (* AdwSidebarSectionCreateItemFunc) (
      GObject* item,
      gpointer user_data
    )

#### Description [src]

Called for sidebars that are bound to a `GListModel` with `adw_sidebar_section_bind_model()` for each item that gets added to the model.

Available since: 1.9

#### Parameters

`item`

  Type: `GObject`

  The item from the model for which to create an item for.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `AdwSidebarItem`

An `AdwSidebarItem` that represents `item`.

The caller of the function takes ownership of the data, and is responsible for freeing it.